Name:           twinkle
Version:        1.4.2
Release:        7%{?dist}
Summary:        A SIP Soft Phone

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.twinklephone.com
Source0:        http://www.xs4all.nl/~mfnboer/twinkle/download/%{name}-%{version}.tar.gz
Patch0:         twinkle-1.1-msg.patch
Patch1:         twinkle-1.4.2-fedora-talk.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: commoncpp2-devel
BuildRequires: ccrtp-devel
BuildRequires: libsndfile-devel
BuildRequires: speex-devel
BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: alsa-lib-devel
BuildRequires: bison
BuildRequires: libzrtpcpp-devel
BuildRequires: readline-devel
%if 0%{?fedora}
BuildRequires: file-devel
BuildRequires: kdelibs3-devel
%else
BuildRequires: file
BuildRequires: ncurses-devel
BuildRequires: bind-libbind-devel
BuildRequires: kdelibs-devel
%endif

%description
Twinkle is a SIP based soft phone for making telephone calls over IP networks.

%prep
%setup -q
%patch0 -p1 -b .msg
%patch1 -p1 -b .ftalk

%build
export LDFLAGS=-lkio 
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 src/gui/images/twinkle48.png %{buildroot}%{_datadir}/pixmaps/twinkle.png

rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/twinkle.desktop
desktop-file-install                            \
%if 0%{?fedora}
         --vendor fedora                        \
%else
         --vendor ""                            \
%endif
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        twinkle.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/twinkle.png
%if 0%{?fedora}
%{_datadir}/applications/fedora-twinkle.desktop
%else
%{_datadir}/applications/twinkle.desktop
%endif

%changelog
* Fri Jul 30 2010 Kevin Fenzi <kevin@tummy.com> - 1.4.2-7
- Rebuild for boost

* Mon Feb 22 2010 Kevin Fenzi <kevin@tummy.com> - 1.4.2-6
- Add fix for DSO linking. Fixes bug #565109

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.4.2-5 
- rebuild (boost)

* Sun Nov 23 2009 Kevin Fenzi <kevin@tummy.com> - 1.4.2-4
- Add patch for Fedora talk in the providers list - bug 530629

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> 1.4.2-2
- adapt for EL-5

* Wed Feb 25 2009 Kevin Fenzi <kevin@tummy.com> - 1.4.2-1
- Update to 1.4.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 02 2009 Kevin Fenzi <kevin@tummy.com> - 1.4.1-1
- Update to 1.4.1

* Sun Jan 25 2009 Kevin Fenzi <kevin@tummy.com> - 1.4-1
- Update to 1.4

* Wed Dec 17 2008 Benjamin Kosnik  <bkoz@redhat.com> - 1.3.2-3
- Rebuild for boost-1.37.0.

* Tue Dec 09 2008 Kevin Fenzi <kevin@tummy.com> - 1.3.2-2
- Add patch to fix command line segfault (fixes #473677)

* Tue Sep 02 2008 Kevin Fenzi <kevin@tummy.com> - 1.3.2-1
- Update to 1.3.2

* Mon Jun 30 2008 Kevin Fenzi <kevin@tummy.com> - 1.2-3
- Rebuild with libzrtpcpp

* Mon Mar 31 2008 Kevin Fenzi <kevin@tummy.com> - 1.2-2
- Rebuild for new qt3

* Sat Mar 08 2008 Kevin Fenzi <kevin@tummy.com> - 1.2-1
- Update to 1.2

* Sat Feb 09 2008 Kevin Fenzi <kevin@tummy.com> - 1.1-5
- Rebuild for gcc-4.3
- Rebuild for new cctrp and commoncpp2

* Tue Jan 01 2008 Kevin Fenzi <kevin@tummy.com> - 1.1-4
- Add patch for message waiting bug (fixes #427068)

* Wed Oct 10 2007 Kevin Fenzi <kevin@tummy.com> - 1.1-3
- Rebuild for BuilID

* Fri Aug 03 2007 Kevin Fenzi <kevin@tummy.com> - 1.1-2
- Rebuild for new boost
- Fix License tag

* Wed Aug 01 2007 Kevin Fenzi <kevin@tummy.com> - 1.1-1
- Update to 1.1

* Wed Mar  7 2007 Kevin Fenzi <kevin@tummy.com> - 1.0-2
- Rebuild for new ccrtp version

* Wed Jan 24 2007 Kevin Fenzi <kevin@tummy.com> - 1.0-1
- Update to 1.0
- Removed unneeded patch (merged upstream)
- Changed bind-libbind-devel BuildRequires to bind-devel

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 0.9-2
- Rebuild with correct libbind patch

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 0.9-1
- Upgrade to 0.9

* Sun Sep 24 2006 Kevin Fenzi <kevin@tummy.com> - 0.8.1-2
- Add bind-libbind-devel as a BuildRequires and link against it
  to fix private glibc symbols. 
- Add alsa-lib-devel and kdelibs-devel BuildRequires

* Mon Sep 18 2006 Kevin Fenzi <kevin@tummy.com> - 0.8.1-1
- Inital version for fedora extras
